Index: code/branches/Presentation_HS17_merge/src/modules/overlays/hud/StoryModeHUD.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11744)
+++ code/branches/Presentation_HS17_merge/src/modules/overlays/hud/StoryModeHUD.cc	(revision 11745)
@@ -66,9 +66,14 @@
     {
         RegisterObject(StoryModeHUD);
+
+        this->textSize_ = 1.0;
     }
 
     // Destructor of the StoryMode HUD
     StoryModeHUD::~StoryModeHUD()
-    {}
+    {
+        for(Ogre::TextAreaOverlayElement* text : texts)
+            Ogre::OverlayManager::getSingleton().destroyOverlayElement(text);
+    }
 
     // Functions of the StoryMode HUD
@@ -92,5 +97,4 @@
         CameraManager::getInstance().getActiveCamera()->setOrientation(Vector3::UNIT_X, Degree(-30));
 
-        int i = 0;
         for(NameableStaticEntity* planet : ObjectList<NameableStaticEntity>()){
 
@@ -100,17 +104,16 @@
 
             texts.push_back(text);
-            texts[i]->setDimensions(xScale, yScale);
+            text->setDimensions(xScale, yScale);
 
             //font name of the text needs to be set here, not in the xml setter function
-            texts[i]->setFontName(this->fontName_);
-            texts[i]->setCharHeight(this->textSize_ * yScale);
+            text->setFontName(this->fontName_);
+            text->setCharHeight(this->textSize_ * yScale);
 
             //set text
-            texts[i]->setCaption(planet->getLevelName());
+            text->setCaption(planet->getLevelName());
 
-            texts[i]->hide();
+            text->hide();
         
-            this->background_->addChild(texts[i]);
-            i++;
+            this->background_->addChild(text);
         }
     }
@@ -170,6 +173,11 @@
         const Matrix4& camTransform = cam->getOgreCamera()->getProjectionMatrix() * cam->getOgreCamera()->getViewMatrix();
 
-        int i = 0;
+        size_t i = 0;
         for(NameableStaticEntity* planet : ObjectList<NameableStaticEntity>()){
+            if (i >= texts.size()) {
+                break;
+            }
+            Ogre::TextAreaOverlayElement* text = texts[i];
+            i++;
 
             // Transform to screen coordinates
@@ -180,12 +188,10 @@
                     
                 // Position text
-                texts[i]->setLeft((pos.x+1)/2); // The (0,0) Coordinate is in the upper left corner.
-                texts[i]->setTop((-pos.y+1)/2);  // With those two calculations we set the desired positions
+                text->setLeft((pos.x+1)/2); // The (0,0) Coordinate is in the upper left corner.
+                text->setTop((-pos.y+1)/2);  // With those two calculations we set the desired positions
 
                 // Make sure the overlays are shown
-                texts[i]->show();
+                text->show();
             }
-            i++;
-
         }
     }
Index: code/branches/Presentation_HS17_merge/src/modules/overlays/hud/StoryModeHUD.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/overlays/hud/StoryModeHUD.h	(revision 11744)
+++ code/branches/Presentation_HS17_merge/src/modules/overlays/hud/StoryModeHUD.h	(revision 11745)
@@ -50,14 +50,14 @@
             virtual void tick(float dt) override;
 
+        private:
+            void initialize();
 
-        private:
-            std::vector<Ogre::TextAreaOverlayElement*> texts;
-            void initialize();
-            virtual void setTextSize(float size);
-            virtual float getTextSize() const;
+            void setTextSize(float size);
+            float getTextSize() const;
 
-            virtual void setFont(const std::string& font);
+            void setFont(const std::string& font);
             const std::string& getFont() const;
 
+            std::vector<Ogre::TextAreaOverlayElement*> texts;
             std::string fontName_;
             float textSize_;
Index: code/branches/Presentation_HS17_merge/src/orxonox/worldentities/NameableStaticEntity.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/orxonox/worldentities/NameableStaticEntity.h	(revision 11744)
+++ code/branches/Presentation_HS17_merge/src/orxonox/worldentities/NameableStaticEntity.h	(revision 11745)
@@ -1,10 +1,32 @@
 /*
-*This is the header of the NameableStaticEntity.cc file
-*In this file we define a constructor, destructor and additional function (which is important to name a planet)
-*
-*Author: Bolt Nikole
-*Co-Author: Fanconi Claudio
-*
-*/
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Bolt Nikola
+ *   Co-authors:
+ *      Claudio Fanconi
+ *
+ *   This is the header of the NameableStaticEntity.cc file
+ *   In this file we define a constructor, destructor and additional function (which is important to name a planet)
+ *
+ */
 
 #ifndef _NameableStaticEntity_H__
Index: code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/StoryModePawn.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/StoryModePawn.cc	(revision 11744)
+++ code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/StoryModePawn.cc	(revision 11745)
@@ -48,5 +48,4 @@
     {
         RegisterObject(StoryModePawn);
-        enableCollisionCallback();
     }
 
@@ -73,9 +72,4 @@
     }
 
-    void StoryModePawn::XMLPort(Element& xmlelement, XMLPort::Mode mode)
-    {
-        SUPER(StoryModePawn, XMLPort, xmlelement, mode);
-    }
-
     /**
     @brief
Index: code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/StoryModePawn.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/StoryModePawn.h	(revision 11744)
+++ code/branches/Presentation_HS17_merge/src/orxonox/worldentities/pawns/StoryModePawn.h	(revision 11745)
@@ -42,6 +42,4 @@
             StoryModePawn(Context* context);
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-
             virtual void moveFrontBack(const Vector2& value) override;
 