Index: /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc	(revision 11754)
+++ /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc	(revision 11755)
@@ -67,6 +67,6 @@
         firstGame = true;                   //needed for the HUD
 
-        tubeDistance=200;                  //distance between tubes
-        tubeOffsetX=500;                    //tube offset (so that we can't see them spawn)
+        tubeDistance=200.0f;                  //distance between tubes
+        tubeOffsetX=500.0f;                    //tube offset (so that we can't see them spawn)
 
         circlesUsed=0;
@@ -74,5 +74,5 @@
     }
     
-    void FlappyOrx::updatePlayerPos(int x){
+    void FlappyOrx::updatePlayerPos(float x){
 
         //Spawn a new Tube when the spawn distance is reached
@@ -116,17 +116,17 @@
             return;
 
-        int space = 130;    //vertical space between top and bottom tube
-        int height = (float(rand())/RAND_MAX-0.5)*(280-space);  //Randomize height
+        float space = 130.0f;    //vertical space between top and bottom tube
+        float height = (rnd()-0.5f)*(280.0f-space);  //Randomize height
            
         Vector3 pos = player->getPosition();
 
         //create the two Asteroid fields (Tubes)
-        asteroidField(pos.x+tubeOffsetX,height-space/2,0.8);  //bottom  
-        asteroidField(pos.x+tubeOffsetX,height+space/2,-0.8); //top
+        asteroidField(pos.x+tubeOffsetX,height-space/2,0.8f);  //bottom
+        asteroidField(pos.x+tubeOffsetX,height+space/2,-0.8f); //top
     }
 
     //Creates a new asteroid Field
-    void FlappyOrx::asteroidField(int x, int y, float slope){
-        int r = 20;     //Radius of added Asteroids
+    void FlappyOrx::asteroidField(float x, float y, float slope){
+        float r = 20.0f;     //Radius of added Asteroids
         int noadd = 0;  //how many times we failed to add a new asteroid
 
@@ -141,9 +141,9 @@
         while(noadd<5&&circlesUsed<nCircles){
             if(slope>0)
-                newAsteroid.y=float(rand())/RAND_MAX*(150+y)-150;   //create asteroid on bottom
+                newAsteroid.y=rnd(150+y)-150;   //create asteroid on bottom
             else
-                newAsteroid.y=float(rand())/RAND_MAX*(150-y)+y;     //create asteroid on top
+                newAsteroid.y=rnd(150-y)+y;     //create asteroid on top
             
-            newAsteroid.x=x+(float(rand())/RAND_MAX-0.5)*(y-newAsteroid.y)/slope;
+            newAsteroid.x=x+(rnd()-0.5f)*(y-newAsteroid.y)/slope;
             newAsteroid.r=r;
            
@@ -174,6 +174,6 @@
 
         //Randomize orientation
-        newAsteroid->setOrientation(Vector3::UNIT_Z, Degree(rand()%360));
-        newAsteroid->setOrientation(Vector3::UNIT_Y, Degree(rand()%360));
+        newAsteroid->setOrientation(Vector3::UNIT_Z, Degree(rnd(360)));
+        newAsteroid->setOrientation(Vector3::UNIT_Y, Degree(rnd(360)));
 
         //add to Queue (so that we can delete it again)
@@ -193,7 +193,7 @@
         if(c1.r<=0 || c2.r<=0)
             return false;
-        int x = c1.x - c2.x;
-        int y = c1.y - c2.y;
-        int r = c1.r + c2.r;
+        float x = c1.x - c2.x;
+        float y = c1.y - c2.y;
+        float r = c1.r + c2.r;
 
         return x*x+y*y<r*r*1.5;
Index: /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h	(revision 11754)
+++ /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h	(revision 11755)
@@ -46,8 +46,8 @@
 {
     struct Circle{
-        int r;
-        int x;
-        int y;
-        Circle(int new_r, int new_x, int new_y){
+        float r;
+        float x;
+        float y;
+        Circle(float new_r, float new_x, float new_y){
             r=new_r;
             x=new_x;
@@ -70,7 +70,7 @@
             virtual void death();
            
-            void updatePlayerPos(int x);
+            void updatePlayerPos(float x);
             void createAsteroid(Circle &c);
-            void asteroidField(int x, int y, float slope);
+            void asteroidField(float x, float y, float slope);
             void spawnTube();
             
@@ -89,21 +89,21 @@
             float speedIncrease;
 
-            int tubeDistanceBase;
-            int tubeDistanceIncrease;
-            int tubeDistance;
-            int tubeOffsetX;
+            float tubeDistanceBase;
+            float tubeDistanceIncrease;
+            float tubeDistance;
+            float tubeOffsetX;
 
             int upwardThrust;
             int gravity;
 
-            inline void setSpeedBase(int speedBase){ this-> speedBase =  speedBase;}
+            inline void setSpeedBase(float speedBase){ this-> speedBase =  speedBase;}
             inline float  getSpeedBase(){ return speedBase;}
-            inline void setSpeedIncrease(int speedIncrease){ this-> speedIncrease =  speedIncrease;}
+            inline void setSpeedIncrease(float speedIncrease){ this-> speedIncrease =  speedIncrease;}
             inline float  getSpeedIncrease(){ return speedIncrease;}
 
-            inline void setTubeDistanceBase(int tubeDistanceBase){ this-> tubeDistanceBase =  tubeDistanceBase;}
-            inline int  getTubeDistanceBase(){ return tubeDistanceBase;}
-            inline void setTubeDistanceIncrease(int tubeDistanceIncrease){ this-> tubeDistanceIncrease =  tubeDistanceIncrease;}
-            inline int  getTubeDistanceIncrease(){ return tubeDistanceIncrease;}
+            inline void setTubeDistanceBase(float tubeDistanceBase){ this-> tubeDistanceBase =  tubeDistanceBase;}
+            inline float  getTubeDistanceBase(){ return tubeDistanceBase;}
+            inline void setTubeDistanceIncrease(float tubeDistanceIncrease){ this-> tubeDistanceIncrease =  tubeDistanceIncrease;}
+            inline float  getTubeDistanceIncrease(){ return tubeDistanceIncrease;}
 
             
@@ -112,5 +112,5 @@
             bool firstGame;
             std::string sDeathMessage;
-            std::queue<int> tubes;                  //Saves Position of Tubes
+            std::queue<float> tubes;                  //Saves Position of Tubes
             std::queue<MovableEntity*> asteroids;   //Stores Asteroids which build up the tubes
             float speed = 100;
Index: /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11754)
+++ /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11755)
@@ -107,5 +107,5 @@
                             break;
                             case 3:
-                                int time = this->FlappyOrxGame->getPlayer()->timeUntilRespawn();
+                                time_t time = this->FlappyOrxGame->getPlayer()->timeUntilRespawn();
                                 if(time<=0)
                                     message = "Press space to restart.";
Index: /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11754)
+++ /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.cc	(revision 11755)
@@ -137,5 +137,5 @@
     }
 
-    int FlappyOrxShip::timeUntilRespawn(){
+    time_t FlappyOrxShip::timeUntilRespawn(){
         return 2-time(0)+deathTime;
     }
Index: /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.h
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.h	(revision 11754)
+++ /code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.h	(revision 11755)
@@ -58,11 +58,11 @@
             inline void  setSpeedBase(float speedBase){ getGame()->setSpeedBase(speedBase);}
             inline float getSpeedBase(){ return getGame()->getSpeedBase();}
-            inline void  setSpeedIncrease(int speedIncrease){ getGame()->setSpeedIncrease(speedIncrease);}
+            inline void  setSpeedIncrease(float speedIncrease){ getGame()->setSpeedIncrease(speedIncrease);}
             inline float getSpeedIncrease(){ return getGame()->getSpeedIncrease();}
 
-            inline void setTubeDistanceBase(int tubeDistanceBase){ getGame()->setTubeDistanceBase(tubeDistanceBase);}
-            inline int  getTubeDistanceBase(){ return getGame()->getTubeDistanceBase();}
-            inline void setTubeDistanceIncrease(int tubeDistanceIncrease){ getGame()->setTubeDistanceIncrease(tubeDistanceIncrease);}
-            inline int  getTubeDistanceIncrease(){ return getGame()->getTubeDistanceIncrease();}
+            inline void setTubeDistanceBase(float tubeDistanceBase){ getGame()->setTubeDistanceBase(tubeDistanceBase);}
+            inline float  getTubeDistanceBase(){ return getGame()->getTubeDistanceBase();}
+            inline void setTubeDistanceIncrease(float tubeDistanceIncrease){ getGame()->setTubeDistanceIncrease(tubeDistanceIncrease);}
+            inline float  getTubeDistanceIncrease(){ return getGame()->getTubeDistanceIncrease();}
 
             inline void  setUpwardthrust( float upwardThrust ){ this->upwardThrust = upwardThrust; }
@@ -75,5 +75,5 @@
             
    
-            virtual int timeUntilRespawn();
+            virtual time_t timeUntilRespawn();
             
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
@@ -91,5 +91,5 @@
             float speed, upwardThrust, gravity;
             float particleAge, particleLifespan;
-            long deathTime;
+            time_t deathTime;
             struct Velocity
             {