Index: code/branches/Presentation_HS17_merge/data/levels/FlappyOrx.oxw
===================================================================
--- code/branches/Presentation_HS17_merge/data/levels/FlappyOrx.oxw	(revision 11756)
+++ code/branches/Presentation_HS17_merge/data/levels/FlappyOrx.oxw	(revision 11757)
@@ -35,8 +35,4 @@
     <SpawnPoint team=0 position="0,0,0" lookat="0,0,0" spawnclass=FlappyOrxShip pawndesign=spaceshipFlappyOrx />
   
-    <FlappyOrxCenterPoint name=flappyorxcenter />
-    
-    
-
     <?lua
       for i = 1, 5, 1 do
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/CMakeLists.txt
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/CMakeLists.txt	(revision 11756)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/CMakeLists.txt	(revision 11757)
@@ -2,5 +2,4 @@
 BUILD_UNIT FlappyOrxBuildUnit.cc
   FlappyOrx.cc
-  FlappyOrxCenterPoint.cc
   FlappyOrxShip.cc
   FlappyOrxHUDinfo.cc
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc	(revision 11756)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc	(revision 11757)
@@ -48,5 +48,4 @@
 #include "infos/PlayerInfo.h"
 
-#include "FlappyOrxCenterPoint.h"
 #include "FlappyOrxShip.h"
 
@@ -62,5 +61,5 @@
     {
         RegisterObject(FlappyOrx);
-        this->center_ = nullptr;
+
         point = 0;                          //number of cleared tubes
         bIsDead = true;
@@ -158,5 +157,5 @@
     //Create a new Asteroid
     void FlappyOrx::createAsteroid(Circle &c){
-        MovableEntity* newAsteroid = new MovableEntity(this->center_->getContext());
+        MovableEntity* newAsteroid = new MovableEntity(player->getContext());
 
         //Add Model fitting the Size of the Asteroid
@@ -219,8 +218,4 @@
     }
 
-    void FlappyOrx::setCenterpoint(FlappyOrxCenterPoint* center){
-        this->center_ = center;
-    }
-
     bool FlappyOrx::isDead(){
         return bIsDead;
@@ -240,10 +235,4 @@
         this->bForceSpawn_ = true;
 
-        if (this->center_ == nullptr)  // abandon mission!
-        {
-            orxout(internal_error) << "FlappyOrx: No Centerpoint specified." << endl;
-            GSLevel::startMainMenu();
-            return;
-        }
         // Call start for the parent class.
         Deathmatch::start();
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h	(revision 11756)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h	(revision 11757)
@@ -74,6 +74,4 @@
             void asteroidField(float x, float y, float slope);
             void spawnTube();
-            
-            void setCenterpoint(FlappyOrxCenterPoint* center);
            
             int getPoints(){return this->point;}
@@ -126,5 +124,4 @@
             int addIfPossible(Circle c);
 
-            WeakPtr<FlappyOrxCenterPoint> center_;
             WeakPtr<FlappyOrxShip> player;
 
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxCenterPoint.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxCenterPoint.cc	(revision 11756)
+++ 	(revision )
@@ -1,60 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Leo Merholz
- *      Pascal Schärli
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file FlappyOrxCenterPoint.cc
-    @brief Implementation of the FlappyOrxCenterPoint class.
-*/
-
-#include "FlappyOrxCenterPoint.h"
-
-#include "core/CoreIncludes.h"
-
-#include "FlappyOrx.h"
-
-namespace orxonox
-{
-    RegisterClass(FlappyOrxCenterPoint);
-
-    FlappyOrxCenterPoint::FlappyOrxCenterPoint(Context* context) : StaticEntity(context)
-    {
-        RegisterObject(FlappyOrxCenterPoint);
-
-        this->checkGametype();
-    }
-
-    void FlappyOrxCenterPoint::checkGametype()
-    {
-        if (this->getGametype() != nullptr && this->getGametype()->isA(Class(FlappyOrx)))
-        {
-            FlappyOrx* FlappyOrxGametype = orxonox_cast<FlappyOrx*>(this->getGametype());
-            FlappyOrxGametype->setCenterpoint(this);
-        }
-    }
-}
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxCenterPoint.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxCenterPoint.h	(revision 11756)
+++ 	(revision )
@@ -1,56 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Leo Merholz
- *      Pascal Schärli
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file FlappyOrxCenterPoint.h
-    @brief Declaration of the FlappyOrxCenterPoint class.
-    @ingroup FlappyOrx
-*/
-
-#ifndef _FlappyOrxCenterPoint_H__
-#define _FlappyOrxCenterPoint_H__
-
-#include "flappyorx/FlappyOrxPrereqs.h"
-
-#include "worldentities/StaticEntity.h"
-
-namespace orxonox
-{
-    class _FlappyOrxExport FlappyOrxCenterPoint : public StaticEntity
-    {
-        public:
-            FlappyOrxCenterPoint(Context* context); //checks whether the gametype is actually FlappyOrx.
-
-        private:
-            void checkGametype();
-
-    };
-}
-
-#endif /* _FlappyOrxCenterPoint_H__ */
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxPrereqs.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxPrereqs.h	(revision 11756)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxPrereqs.h	(revision 11757)
@@ -70,5 +70,4 @@
 {
     class FlappyOrx;
-    class FlappyOrxCenterPoint;
     class FlappyOrxShip;
     class FlappyOrxHUDinfo;