Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h	(revision 11757)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h	(revision 11758)
@@ -92,7 +92,4 @@
             float tubeOffsetX;
 
-            int upwardThrust;
-            int gravity;
-
             inline void setSpeedBase(float speedBase){ this-> speedBase =  speedBase;}
             inline float  getSpeedBase(){ return speedBase;}
@@ -106,5 +103,4 @@
 
             
-            bool bEndGame;
             bool bIsDead;
             bool firstGame;
@@ -112,5 +108,4 @@
             std::queue<float> tubes;                  //Saves Position of Tubes
             std::queue<MovableEntity*> asteroids;   //Stores Asteroids which build up the tubes
-            float speed = 100;
             
         private:
@@ -126,7 +121,5 @@
             WeakPtr<FlappyOrxShip> player;
 
-            int level;
             int point;
-            bool b_combo;
 
             const int NUM_ASTEROIDS = 5;
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11757)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11758)
@@ -44,10 +44,6 @@
 
         this->FlappyOrxGame = nullptr;
-        this->bShowLives_ = false;
-        this->bShowLevel_ = true;
         this->bShowPoints_ = false;
-        this->bShowMultiplier_ = false;
         this->bShowGameOver_ = false;
-        this->sGameOverMessage_ = "";
     }
 
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.h	(revision 11757)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.h	(revision 11758)
@@ -45,23 +45,8 @@
             virtual void changedOwner() override;
 
-            inline void setShowLives(bool value)
-                { this->bShowLives_ = false; }
-            inline bool getShowLives() const
-                { return this->bShowLives_; }
-
-            inline void setShowLevel(bool value)
-                { this->bShowLevel_ = false; }
-            inline bool getShowLevel() const
-                { return this->bShowLevel_; }
-
             inline void setShowPoints(bool value)
                 { this->bShowPoints_ = value; }
             inline bool getShowPoints() const
                 { return this->bShowPoints_; }
-
-            inline void setShowMultiplier(bool value)
-                { this->bShowMultiplier_ = false; }
-            inline bool getShowMultiplier() const
-                { return this->bShowMultiplier_; }
 
             inline void setShowMessage(bool value){
@@ -77,16 +62,9 @@
                 { return messageID; }
 
-
-
-
         private:
             FlappyOrx* FlappyOrxGame;
-            bool bShowLives_;
-            bool bShowLevel_;
             bool bShowPoints_;
-            bool bShowMultiplier_;
             bool bShowGameOver_;
             int messageID;
-            std::string sGameOverMessage_;
     };
 }
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.h	(revision 11757)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxShip.h	(revision 11758)
@@ -85,5 +85,4 @@
             FlappyOrx* getGame();
             WeakPtr<FlappyOrx> game;
-            Camera* camera;
             ParticleSpawner* particlespawner_;
             bool isFlapping;