Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc	(revision 11759)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.cc	(revision 11760)
@@ -142,5 +142,5 @@
 
         //Fill up triangle with asteroids
-        while(noadd<5&&circlesUsed<nCircles){
+        while(noadd<5&&circlesUsed<NUM_CIRCLES){
             if(slope>0)
                 newAsteroid.y=rnd(150+y)-150;   //create asteroid on bottom
@@ -187,5 +187,5 @@
     void FlappyOrx::clearCircles(){
         circlesUsed=0;
-        for(int i = 0; i<this->nCircles; i++){
+        for(int i = 0; i<NUM_CIRCLES; i++){
             circles[i].r=0;
         }
@@ -206,5 +206,5 @@
     int FlappyOrx::addIfPossible(Circle c){
         int i;
-        for(i=0; i<this->nCircles && this->circles[i].r!=0 && c.r>0;i++){
+        for(i=0; i<NUM_CIRCLES && this->circles[i].r!=0 && c.r>0;i++){
             while(circleCollision(c,this->circles[i])){
                 c.r-=5; //when it collides, try to make it smaller
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h	(revision 11759)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrx.h	(revision 11760)
@@ -83,12 +83,4 @@
 
             FlappyOrxShip* getPlayer();
-            
-            float speedBase;
-            float speedIncrease;
-
-            float tubeDistanceBase;
-            float tubeDistanceIncrease;
-            float tubeDistance;
-            float tubeOffsetX;
 
             inline void setSpeedBase(float speedBase){ this-> speedBase =  speedBase;}
@@ -106,30 +98,36 @@
             bool firstGame;
             std::string sDeathMessage;
-            std::queue<float> tubes;                  //Saves Position of Tubes
-            std::queue<MovableEntity*> asteroids;   //Stores Asteroids which build up the tubes
             
         private:
-             
-            const static int nCircles = 6;
-            int circlesUsed;
-            Circle circles[nCircles];
-
             void clearCircles();
             bool circleCollision(Circle &c1, Circle &c2);
             int addIfPossible(Circle c);
 
-            WeakPtr<FlappyOrxShip> player;
-
             int point;
 
-            const int NUM_ASTEROIDS = 5;
+            float speedBase;
+            float speedIncrease;
 
+            float tubeDistanceBase;
+            float tubeDistanceIncrease;
+            float tubeDistance;
+            float tubeOffsetX;
 
-           const std::string Asteroid5[5] = {"Asteroid3_1","Asteroid3_2","Asteroid3_3","Asteroid3_4","Asteroid3_5"};
-           const std::string Asteroid10[5] = {"Asteroid6_1","Asteroid6_2","Asteroid6_3","Asteroid6_4","Asteroid6_5"};
-           const std::string Asteroid15[5] = {"Asteroid9_1","Asteroid9_2","Asteroid9_3","Asteroid9_4","Asteroid9_5"};
-           const std::string Asteroid20[5] = {"Asteroid12_1","Asteroid12_2","Asteroid12_3","Asteroid12_4","Asteroid12_5"};
+            WeakPtr<FlappyOrxShip> player;
+            std::queue<float> tubes;                  //Saves Position of Tubes
+            std::queue<MovableEntity*> asteroids;   //Stores Asteroids which build up the tubes
+
+            const static int NUM_CIRCLES = 6;
+            int circlesUsed;
+            Circle circles[NUM_CIRCLES];
+
+            const static int NUM_ASTEROIDS = 5;
+
+            const std::string Asteroid5[5] = {"Asteroid3_1","Asteroid3_2","Asteroid3_3","Asteroid3_4","Asteroid3_5"};
+            const std::string Asteroid10[5] = {"Asteroid6_1","Asteroid6_2","Asteroid6_3","Asteroid6_4","Asteroid6_5"};
+            const std::string Asteroid15[5] = {"Asteroid9_1","Asteroid9_2","Asteroid9_3","Asteroid9_4","Asteroid9_5"};
+            const std::string Asteroid20[5] = {"Asteroid12_1","Asteroid12_2","Asteroid12_3","Asteroid12_4","Asteroid12_5"};
            
-            std::vector<std::string> DeathMessage7 = {
+            const std::vector<std::string> DeathMessage7 = {
                 "You should really try that again",
                 "You can do better, can you?",
@@ -142,5 +140,5 @@
                 "Here's a tip: Try not to fly into these grey thingies.",
                 "We won't comment on that."};
-            std::vector<std::string> DeathMessage20 = {
+            const std::vector<std::string> DeathMessage20 = {
                 "Getting better!",
                 "Training has paid off, huh?",
@@ -151,5 +149,5 @@
                 "That wasn't crap, not bad",
                 "Surprisingly not bad."};
-            std::vector<std::string> DeathMessage30 = {
+            const std::vector<std::string> DeathMessage30 = {
                 "Flappin great",
                 "Good job!",
@@ -158,5 +156,5 @@
                 "That was really good,!",
                 "We are proud of you"};
-            std::vector<std::string> DeathMessageover30 = {
+            const std::vector<std::string> DeathMessageover30 = {
                 "You're flappin amazing",
                 "Fucking great job",
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11759)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.cc	(revision 11760)
@@ -45,5 +45,5 @@
         this->FlappyOrxGame = nullptr;
         this->bShowPoints_ = false;
-        this->bShowGameOver_ = false;
+        this->bShowMessage_ = false;
         this->messageID = 0;
     }
@@ -72,5 +72,5 @@
                     this->setCaption(points);
                 }
-                else if(this->bShowGameOver_){
+                else if(this->bShowMessage_){
                     setTextSize(0);
                 }
@@ -80,5 +80,5 @@
                     setTextSize(0);
                 }
-                else if(this->bShowGameOver_){
+                else if(this->bShowMessage_){
                     if(this->FlappyOrxGame->firstGame){
                         if(messageID==3){
Index: code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.h	(revision 11759)
+++ code/branches/Presentation_HS17_merge/src/modules/flappyorx/FlappyOrxHUDinfo.h	(revision 11760)
@@ -51,8 +51,8 @@
 
             inline void setShowMessage(bool value){
-                bShowGameOver_ = value;
+                bShowMessage_ = value;
             }
             inline bool getShowMessage() const
-                { return this->bShowGameOver_; }
+                { return this->bShowMessage_; }
 
             inline void setMessageID(int value){
@@ -65,5 +65,5 @@
             FlappyOrx* FlappyOrxGame;
             bool bShowPoints_;
-            bool bShowGameOver_;
+            bool bShowMessage_;
             int messageID;
     };