Index: code/branches/Presentation_HS17_merge/src/modules/superorxobros/Orxo.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/superorxobros/Orxo.cc	(revision 11766)
+++ 	(revision )
@@ -1,196 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file InvaderShip.cc
-    @brief Implementation of the InvaderShip class.
-*/
-
-#include "Orxo.h"
-
-#include "core/CoreIncludes.h"
-#include "core/XMLPort.h"
-//#include "Invader.h"
-//#include "InvaderEnemy.h"
-#include "graphics/Camera.h"
-//#include "weapons/projectiles/Projectile.h"
-
-namespace orxonox
-{
-    RegisterClass(Orxo);
-
-    Orxo::Orxo(Context* context) : SpaceShip(context)
-    {
-        RegisterObject(Orxo);
-
-        speed = 500;
-        damping = 10;
-    }
-
-    void Orxo::tick(float dt)
-    {
-        /*Vector3 pos = getPosition();
-
-        //Movement calculation
-        lastTimeFront += dt * damping;
-        lastTimeLeft += dt * damping;
-        lastTime += dt;
-
-        velocity.x = interpolate(clamp(lastTimeLeft, 0.0f, 1.0f), desiredVelocity.x, 0.0f);
-        velocity.y = interpolate(clamp(lastTimeFront, 0.0f, 1.0f), desiredVelocity.y, 0.0f);
-
-        //Execute movement
-        if (this->hasLocalController())
-        {
-            float dist_y = velocity.y * dt;
-            float dist_x = velocity.x * dt;
-            if(dist_y + posforeward > -42*3 && dist_y + posforeward < 42*6)
-                posforeward += dist_y;
-            else
-            {
-                velocity.y = 0;
-                // restart if game ended
-                if (getGame())
-                    if (getGame()->bEndGame)
-                    {
-                        getGame()->start();
-                        return;
-                    }
-            }
-            if (pos.z + dist_x > 42*2.5 || pos.z + dist_x < -42*3)
-                velocity.x = 0;
-            pos += Vector3(1000 + velocity.y, 0, velocity.x) * dt;
-        }
-
-    
-        // Camera
-        Camera* camera = this->getCamera();
-        if (camera != nullptr)
-        {
-            camera->setPosition(Vector3(-pos.z, -posforeward, 0));
-            camera->setOrientation(Vector3::UNIT_Z, Degree(90));
-        }
-
-
-
-        // bring back on track!
-        if(pos.y != 0)
-            pos.y = 0;
-
-        setPosition(pos);
-        setOrientation(Vector3::UNIT_Y, Degree(270));
-
-        // Level up!
-        if (pos.x > 42000)
-        {
-            updateLevel();
-            setPosition(Vector3(0, 0, pos.z)); // pos - Vector3(30000, 0, 0)
-        }*/
-
-        SUPER(Orxo, tick, dt);
-    }
-
-    void Orxo::updateLevel()
-    {
-        lastTime = 0;
-        /*if (getGame())
-            getGame()->levelUp();*/
-    }
-
-    void Orxo::moveFrontBack(const Vector2& value)
-    {
-        Pawn::moveFrontBack(value);
-        lastTimeLeft = 0;
-        desiredVelocity.x = -value.x * speed;
-    }
-
-    void Orxo::moveRightLeft(const Vector2& value)
-    {
-        lastTimeFront = 0;
-        desiredVelocity.y = value.y * speed * 42;
-    }
-    void Orxo::boost(bool bBoost)
-    {
-       // isFireing = bBoost;
-    }
-    void Orxo::rotateRoll(const Vector2& value)
-    {/*
-        if (getGame())
-            if (getGame()->bEndGame)
-                getGame()->end();
-    */}
-    inline bool Orxo::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint)
-    {
-        /*// orxout() << "touch!!! " << endl; //<< otherObject << " at " << contactPoint;
-        InvaderEnemy* enemy = orxonox_cast<InvaderEnemy*>(otherObject);
-        Projectile* shot = orxonox_cast<Projectile*>(otherObject);
-        // ensure that this gets only called once per enemy.
-        if (enemy != nullptr && lastEnemy != enemy)
-        {
-            lastEnemy = enemy;
-
-            removeHealth(20);
-            if (getGame())
-            {
-                getGame()->multiplier = 1;                   
-            }
-        }
-        // was shot, decrease multiplier
-        else if (shot != nullptr  && lastShot != shot)
-        {
-            if (getGame() && orxonox_cast<InvaderEnemy*>(shot->getShooter()) != nullptr)
-            {
-                if (getGame()->multiplier > 1)
-                {
-                    lastShot = shot;
-                    getGame()->multiplier -= 1;     
-                }
-            }
-        }
-        return false;
-        // SUPER(InvaderShip, collidesAgainst, otherObject, contactPoint);
-        */
-        return false;
-    }
-
-    /*SOB* Orxo::getGame()
-    {
-        if (game == nullptr)
-        {
-            for (SOB* sob : ObjectList<SOB>())
-                game = sob;
-        }
-        return game;
-    }*/
-
-    void Orxo::death()
-    {
-        //getGame()->costLife();
-        Pawn::death();
-    }
-}
Index: code/branches/Presentation_HS17_merge/src/modules/superorxobros/Orxo.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/superorxobros/Orxo.h	(revision 11766)
+++ 	(revision )
@@ -1,95 +1,0 @@
-/*
- *   ORXONOX - the hottest 3D action shooter ever to exist
- *                    > www.orxonox.net <
- *
- *
- *   License notice:
- *
- *   This program is free software; you can redistribute it and/or
- *   modify it under the terms of the GNU General Public License
- *   as published by the Free Software Foundation; either version 2
- *   of the License, or (at your option) any later version.
- *
- *   This program is distributed in the hope that it will be useful,
- *   but WITHOUT ANY WARRANTY; without even the implied warranty of
- *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- *   GNU General Public License for more details.
- *
- *   You should have received a copy of the GNU General Public License
- *   along with this program; if not, write to the Free Software
- *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
- *
- *   Author:
- *      Florian Zinggeler
- *   Co-authors:
- *      ...
- *
- */
-
-/**
-    @file InvaderShip.h
-    @brief Declaration of the InvaderShip class.
-*/
-
-#ifndef _Orxo_H__
-#define _Orxo_H__
-
-//#include "invader/InvaderPrereqs.h"
-
-//#include "weapons/WeaponsPrereqs.h"
-#include "worldentities/pawns/SpaceShip.h"
-
-namespace orxonox
-{
-    class Orxo : public SpaceShip
-    {
-    public:
-        Orxo(Context* context);
-
-        virtual void tick(float dt) override;
-
-
-            // overwrite for 2d movement
-        virtual void moveFrontBack(const Vector2& value) override;
-        virtual void moveRightLeft(const Vector2& value) override;
-
-            // Starts or stops fireing
-        virtual void boost(bool bBoost) override;
-
-            //no rotation!
-        virtual void rotateYaw(const Vector2& value) override{};
-        virtual void rotatePitch(const Vector2& value) override{};
-            //return to main menu if game has ended.
-        virtual void rotateRoll(const Vector2& value) override;
-
-        virtual void updateLevel();
-
-        virtual inline bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
-
-
-
-
-      
-
-
-    protected:
-        virtual void death() override;
-    private:
-            //SOB* getGame();
-            //WeakPtr<SOB> game;
-        Camera* camera;
-        float speed, damping, posforeward;
-        float lastTimeFront, lastTimeLeft, lastTime;
-        struct Velocity
-        {
-            float x;
-            float y;
-        } velocity, desiredVelocity;
-
-           // WeakPtr<InvaderEnemy> lastEnemy;
-            //WeakPtr<Projectile> lastShot;
-
-    };
-}
-
-#endif /* _InvaderShip_H__ */