Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOB.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOB.cc	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOB.cc	(revision 11769)
@@ -60,5 +60,4 @@
     {
         RegisterObject(SOB);
-        camera = nullptr;
 
         this->center_ = nullptr;
@@ -69,4 +68,5 @@
         timeLeft_=400.0;
         done_ = true;
+        newHighscore = false;
         lvl_ = 1;
 
@@ -79,14 +79,5 @@
     SOB::~SOB()
     {
-        if (this->isInitialized())
-            this->cleanup();
     }
-
-    void SOB::cleanup()
-    {
-        camera = nullptr;
-    }
-
-
 
     void SOB::start()
@@ -113,14 +104,8 @@
         Gametype::start();
 
-        if (figure_ != nullptr)
-        {
-            camera = figure_->getCamera();
-        }
-
     }
 
     void SOB::end()
     {
-        cleanup();
         GSLevel::startMainMenu();
         Deathmatch::end();
@@ -128,6 +113,4 @@
 
     void SOB::restart() {
-        cleanup();
-
         // HACK - only method I found to simply reload the level
         Game::getInstance().popState();
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOB.h
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOB.h	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOB.h	(revision 11769)
@@ -111,7 +111,5 @@
 
 
-            void cleanup(); //!< Cleans up the Gametype 
             WeakPtr<SOBFigure> figure_;
-            WeakPtr<Camera> camera;
             int points_;
             int coins_;
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBCoin.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBCoin.cc	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBCoin.cc	(revision 11769)
@@ -49,4 +49,6 @@
         setAngularFactor(0.0);
 
+        speed_ = 0;
+        lifetime_ = 0;
     }
 
@@ -67,5 +69,5 @@
         lifetime_-=dt;
 
-        if (lifetime_ <+ 0) {
+        if (lifetime_ < 0) {
             destroyLater();
         }
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBCoin.h
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBCoin.h	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBCoin.h	(revision 11769)
@@ -50,6 +50,4 @@
 
 
-        bool attachedToFigure_;
-
         void setLifetime(const float lt)
         { this->lifetime_ = lt; }
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFigure.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFigure.cc	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFigure.cc	(revision 11769)
@@ -69,5 +69,5 @@
         moveDownPressed_    = false;
         moveLeftPressed_    = false;
-        moveDownPressed_    = false;
+        moveRightPressed_    = false;
         firePressed_        = false;
         collDisZ_           = 0;
@@ -76,5 +76,4 @@
         timeSinceLastFire_  = 0.0;
         lastSpeed_z         = 0.0;
-        pitch_              = 0.0;
         timeCounter_        = 0;
 
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFigure.h
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFigure.h	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFigure.h	(revision 11769)
@@ -68,6 +68,4 @@
             float lastSpeed_z;
             float firecooldown_;
-            SOBCenterpoint* sobcenterpoint;
-            float pitch_;
             bool isColliding_;
             WorldEntity* particlespawner_;
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFireball.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFireball.cc	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFireball.cc	(revision 11769)
@@ -56,7 +56,5 @@
         RegisterObject(SOBFireball);
 
-        attachedToFigure_ = false;
         setAngularFactor(0.0);
-        figure_ = nullptr;
         this->enableCollisionCallback();
         gravityAcceleration_ = 350.0;
@@ -64,11 +62,7 @@
         speed_ = 0;
         hasCollided_=false;
-        lastPos_ = getPosition();
-        lastPos_.x -= 20;
         changeAllowed_ = true;
         changedOn_ = 0.0;
         goesRight_ = true;
-        collDisX_ = 0;
-        collDisZ_ = 0;
         hitCounter_ = 0;
         particlespawner_ = NULL ;
@@ -104,6 +98,6 @@
     
     bool SOBFireball::collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) {
-        collDisX_ = getPosition().x - contactPoint.getPositionWorldOnB().getX();
-        collDisZ_ = getPosition().z - contactPoint.getPositionWorldOnB().getZ();
+        float collDisX_ = getPosition().x - contactPoint.getPositionWorldOnB().getX();
+        float collDisZ_ = getPosition().z - contactPoint.getPositionWorldOnB().getZ();
 
         SOBGumba*       gumba       = orxonox_cast<SOBGumba*>       (otherObject);
@@ -148,16 +142,6 @@
         hitCounter_++;
         
-        collDisZ_=0;
-        collDisX_=0;
-
         return true;
     }
-
-
-    void SOBFireball::setFigure(SOBFigure* newFigure)
-    {
-        figure_ = newFigure;
-    }
-
 
 
@@ -199,6 +183,4 @@
             setVelocity(velocity);
 
-            lastPos_ = getPosition();
-
             if(abs(this->getPosition().z) > 1000) delete this;
         
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFireball.h
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFireball.h	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFireball.h	(revision 11769)
@@ -50,11 +50,8 @@
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-            virtual void setFigure(SOBFigure* newFigure);
             virtual bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
             virtual void tick(float dt) override;
             void setDirection(const bool direction);
           
-            bool attachedToFigure_;
-
             void setSpeed(const float speed)
                 { this->speed_ = speed; }
@@ -66,6 +63,4 @@
             float gravityAcceleration_;
             float speed_;
-            WeakPtr<SOBFigure> figure_;
-            Vector3 lastPos_;
             bool goesRight_;
             bool changeAllowed_;
@@ -73,10 +68,4 @@
             int hitCounter_;
             WorldEntity* particlespawner_;
-
- 
-
-
-            float collDisX_;    
-            float collDisZ_;
            
     };
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFlagstone.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFlagstone.cc	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBFlagstone.cc	(revision 11769)
@@ -52,5 +52,5 @@
         
         hasCollided_=false;
-        
+        points_=0;
         
     }
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumba.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumba.cc	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumba.cc	(revision 11769)
@@ -48,7 +48,5 @@
         RegisterObject(SOBGumba);
 
-        attachedToFigure_ = false;
         setAngularFactor(0.0);
-        figure_ = nullptr;
         this->enableCollisionCallback();
         gravityAcceleration_ = 350.0;
@@ -56,6 +54,4 @@
         hasCollided_=false;
         goesRight_ = true;
-        lastPos_ = getPosition();
-        lastPos_.x -= 20;
         changeAllowed_ = true;
         changedOn_ = 0.0;
@@ -88,9 +84,4 @@
     }
 
-
-    void SOBGumba::setFigure(SOBFigure* newFigure)
-    {
-        figure_ = newFigure;
-    }
 
     void SOBGumba::setDirection(const bool direction)
@@ -140,6 +131,4 @@
         setVelocity(velocity);
 
-        lastPos_ = getPosition();
-
         if (creator_ != nullptr)
         {
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumba.h
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumba.h	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumba.h	(revision 11769)
@@ -47,5 +47,4 @@
             SOBGumba(Context* context);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-            virtual void setFigure(SOBFigure* newFigure);
             virtual  bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
             virtual void tick(float dt) override;
@@ -54,6 +53,4 @@
             void die();
           
-            bool attachedToFigure_;
-
             void setSpeed(const float speed)
                 { this->speed_ = speed; }
@@ -66,7 +63,5 @@
             float gravityAcceleration_;
             float speed_;
-            WeakPtr<SOBFigure> figure_;
             bool goesRight_;
-            Vector3 lastPos_;
             bool changeAllowed_;
             float changedOn_;
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumbaBoss.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumbaBoss.cc	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBGumbaBoss.cc	(revision 11769)
@@ -152,6 +152,4 @@
         setVelocity(velocity);
 
-        lastPos_ = getPosition();
-
     }
 
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBMushroom.cc
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBMushroom.cc	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBMushroom.cc	(revision 11769)
@@ -48,7 +48,5 @@
         RegisterObject(SOBMushroom);
 
-        attachedToFigure_ = false;
         setAngularFactor(0.0);
-        figure_ = nullptr;
         this->enableCollisionCallback();
         gravityAcceleration_ = 350.0;
@@ -56,6 +54,4 @@
         hasCollided_=false;
         goesRight_ = true;
-        lastPos_ = getPosition();
-        lastPos_.x -= 20;
         changeAllowed_ = true;
         changedOn_ = 0.0;
@@ -86,11 +82,4 @@
 
 
-    void SOBMushroom::setFigure(SOBFigure* newFigure)
-    {
-        figure_ = newFigure;
-    }
-
-
-
     void SOBMushroom::tick(float dt)
     {
@@ -104,6 +93,6 @@
                 changedOn_ = 0.0;
 
+            }
         }
-    }
         
 
@@ -116,9 +105,5 @@
         velocity.x = dir*speed_;
         setVelocity(velocity);
-
-
-    
-        lastPos_ = getPosition();
-            }
+    }
 
 
Index: /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBMushroom.h
===================================================================
--- /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBMushroom.h	(revision 11768)
+++ /code/branches/Presentation_HS17_merge/src/modules/superorxobros/SOBMushroom.h	(revision 11769)
@@ -47,11 +47,8 @@
             SOBMushroom(Context* context);
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
-            virtual void setFigure(SOBFigure* newFigure);
             virtual  bool collidesAgainst(WorldEntity* otherObject, const btCollisionShape* ownCollisionShape, btManifoldPoint& contactPoint) override;
             virtual void tick(float dt) override;
 
           
-            bool attachedToFigure_;
-
             void setSpeed(const float speed)
                 { this->speed_ = speed; }
@@ -63,7 +60,5 @@
             float gravityAcceleration_;
             float speed_;
-            WeakPtr<SOBFigure> figure_;
             bool goesRight_;
-            Vector3 lastPos_;
             bool changeAllowed_;
             float changedOn_;