Index: code/branches/Presentation_HS17_merge/src/modules/overlays/hud/CMakeLists.txt
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/overlays/hud/CMakeLists.txt	(revision 11745)
+++ code/branches/Presentation_HS17_merge/src/modules/overlays/hud/CMakeLists.txt	(revision 11774)
@@ -11,4 +11,5 @@
   HUDEnemyHealthBar.cc
   HUDEnemyShieldBar.cc
+  HUDWaypoints.cc
   HUDWeaponMode.cc
   HUDWeapon.cc
Index: code/branches/Presentation_HS17_merge/src/modules/overlays/hud/HUDWaypoints.cc
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/overlays/hud/HUDWaypoints.cc	(revision 11774)
+++ code/branches/Presentation_HS17_merge/src/modules/overlays/hud/HUDWaypoints.cc	(revision 11774)
@@ -0,0 +1,42 @@
+
+
+
+
+#include <vector>
+#include <string>
+
+#include "HUDWaypoints.h"
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "util/Convert.h"
+#include "core/class/Super.h"
+#include "pickup/Pickup.h"
+#include "HUDPickupItem.h"
+#include "pickup/PickupManager.h"
+
+namespace orxonox 
+{
+	RegisterClass(HUDWaypoints);
+
+		HUDWaypoints::HUDWaypoints(Context* context) : OrxonoxOverlay(context)
+    {
+        RegisterObject(HUDWaypoints);
+
+        overlayElement_ = static_cast<Ogre::PanelOverlayElement* >(Ogre::OverlayManager::getSingleton().createOverlayElement("Panel", "HUDWaypoints" + getUniqueNumberString()));
+        overlayElement_->setMaterialName("PickupBar");
+        overlayElement_->setPosition(0.0f,0.0f);
+        overlayElement_->setDimensions(0.35f,0.075f);
+        this->background_->addChild(overlayElement_);
+    }
+
+
+    HUDWaypoints::~HUDWaypoints()
+    {
+       /* if (this->isInitialized())
+        {
+            this->picks.clear();
+        }*/
+    }
+
+
+}
Index: code/branches/Presentation_HS17_merge/src/modules/overlays/hud/HUDWaypoints.h
===================================================================
--- code/branches/Presentation_HS17_merge/src/modules/overlays/hud/HUDWaypoints.h	(revision 11774)
+++ code/branches/Presentation_HS17_merge/src/modules/overlays/hud/HUDWaypoints.h	(revision 11774)
@@ -0,0 +1,69 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Patrick Wintermeyer
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+
+#ifndef _HUDWaypoints_H__
+#define _HUDWaypoints_H__
+
+#include "overlays/OverlaysPrereqs.h"
+
+#include <map>
+#include <vector>
+#include <string>
+
+
+#include <OgreOverlayManager.h>
+#include <OgrePanelOverlayElement.h> 
+
+#include "overlays/OrxonoxOverlay.h"
+#include "worldentities/pawns/Pawn.h"
+#include "overlays/OverlayGroup.h"
+#include "pickup/Pickup.h"
+#include "pickup/PickupRepresentation.h"
+#include "HUDPickupItem.h"
+
+namespace orxonox
+{
+    class _OverlaysExport HUDWaypoints : public OrxonoxOverlay
+    {
+    public:
+        HUDWaypoints(Context* context);
+        virtual ~HUDWaypoints();
+
+        bool repaint=false; //if we shouldnt repaint, set this to false
+
+    private:
+
+        Ogre::PanelOverlayElement* overlayElement_;
+        WeakPtr<Pawn> owner_;
+
+        std::vector<PickupRepresentation> pickupRepresentations_;
+    };
+}
+
+#endif