Index: code/branches/Presentation_HS17_merge/data/levels/emptyLevel.oxw
===================================================================
--- code/branches/Presentation_HS17_merge/data/levels/emptyLevel.oxw	(revision 11774)
+++ code/branches/Presentation_HS17_merge/data/levels/emptyLevel.oxw	(revision 11776)
@@ -14,9 +14,4 @@
 <?lua
   include("templates/spaceshipEscort.oxt")
-  include("templates/endurancetest_template.oxt")
-  include("templates/spaceshipPirate.oxt")
-  include("templates/spaceshipAssff.oxt")
-
-
 ?>
 
@@ -27,29 +22,12 @@
   <?lua include("includes/notifications.oxi") ?>
 
-  <NotificationQueueCEGUI
-    name="narrative"
-    targets="simpleNotification"
-    size=3
-    displayTime=3.9
-    position="0.2, 0, 0.1, 0"
-    fontSize="23"
-    fontColor="0.3, 1, 0.2, 0.8"
-    alignment="HorzCentred"
-    displaySize="0.6, 0, 0, 0"
-    />
-
-   <Scene
-   ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/Starbox"
+  <Scene
+    ambientlight = "0.8, 0.8, 0.8"
+    skybox       = "Orxonox/Starbox"
   >
 
-
-    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
-
-
+    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
+    <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipescort />
     
-    <SpawnPoint position="50,0,0" direction="1,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-
-
   </Scene>
 </Level>
Index: code/branches/Presentation_HS17_merge/data/levels/tutorial.oxw
===================================================================
--- code/branches/Presentation_HS17_merge/data/levels/tutorial.oxw	(revision 11774)
+++ code/branches/Presentation_HS17_merge/data/levels/tutorial.oxw	(revision 11776)
@@ -2,6 +2,7 @@
  name = "Coding Tutorial"
  description = "Level for the coding tutorial."
- tags = "tutorial"
+ tags = "tutorial, shipselection"
  screenshot = "codingtutorial.png"
+ startingships = "spaceshipassff, spaceshipghost, spaceshipspacecruiser"
 />
 
@@ -10,4 +11,6 @@
   include("stats.oxo")
   include("templates/spaceshipAssff.oxt")
+  include("templates/spaceshipGhost.oxt")
+  include("templates/spaceshipSpacecruiser.oxt")
   include("templates/lodInformation.oxt")
 ?>
@@ -21,32 +24,87 @@
   <Scene
    ambientlight = "0.5, 0.5, 0.5"
-   skybox       = "Orxonox/Starbox"
+   skybox       = "Orxonox/skyBoxBasic"
   >
+<Drone name="meineDrohne" primarythrust="80" auxilarythrust="10" rotationthrust="10" mass= "50" linearDamping = "0.9" angularDamping = "0.7">
+  <attached>
+    <Model scale="1" mesh="drone.mesh"/>
+  </attached>
+  <collisionShapes>
+    <BoxCollisionShape position="0,0,0"      halfExtents="10, 10, 10" />
+  </collisionShapes>
+</Drone>
 
+    <Drone name="meineDrohne" primarythrust="80" auxilarythrust="10" rotationthrust="10" mass= "50" linearDamping = "0.9" angularDamping = "0.7">
+      <attached>
+        <Model scale="1" mesh="rocket.mesh"/>
+      </attached>
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0"      halfExtents="10, 10, 10" />
+      </collisionShapes>
+    </Drone>
 
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
 
+    <Model mesh="hs-w01.mesh" scale=10 position="0,0,-100" />
+    <Model mesh="hs-w01s.mesh" scale=10 position="0,0,-100" />
 
     <?lua
       for i = 1, 10, 1 do
     ?>
-      <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
+      <SpawnPoint position="<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>,<?lua print(math.random() * 1000 - 500) ?>" lookat="0,0,0" spawnclass=SpaceShip pawndesign=shipselection />
     <?lua end ?>
 
-    
-    <AutonomousDroneController>
-    </AutonomousDroneController>
-    
-    <AutonomousDrone mass=50 linearDamping=0.9 angularDamping=0.7>
-       <attached>
-        <Model scale="10" mesh="drone.mesh"/>
-      </attached>
-      
+    <GlobalShader compositor="Bloom" visible=false>
+      <events>
+        <visibility>
+          <DistanceTrigger position="0,0,0" distance=30 target="Spectator" switch=true />
+        </visibility>
+      </events>
+    </GlobalShader>
+    <Model position="0,0,0" scale=8 mesh="ast1.mesh" />
+    <StaticEntity position="0,0,0" collisionType=static>
       <collisionShapes>
-        <BoxCollisionShape position="0,0,0" halfExtents="10, 10, 10" />
+        <SphereCollisionShape radius="20" />
       </collisionShapes>
-    </AutonomousDrone>
+    </StaticEntity>
 
+<!--
+    <?lua
+      for i = 1, 70, 1 do
+    ?>
+      <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 1000 + 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+        <attached>
+          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+        </attached>
+      </MovableEntity>
+      <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * -1000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+        <attached>
+          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+        </attached>
+      </MovableEntity>
 
+      <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * 1000 + 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+        <attached>
+          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+        </attached>
+      </MovableEntity>
+      <MovableEntity position="<?lua print(math.random() * 6000 - 3000)?>, <?lua print(math.random() * -1000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+        <attached>
+          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+        </attached>
+      </MovableEntity>
+
+      <MovableEntity position="<?lua print(math.random() * 1000 + 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+        <attached>
+          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+        </attached>
+      </MovableEntity>
+      <MovableEntity position="<?lua print(math.random() * -1000 - 3000)?>, <?lua print(math.random() * 6000 - 3000) ?>, <?lua print(math.random() * 6000 - 3000) ?>" rotationaxis="<?lua print(math.random()) ?>, <?lua print(math.random()) ?>, <?lua print(math.random()) ?>" rotationrate="<?lua print(math.random() * 30 + 5) ?>">
+        <attached>
+          <Model scale="<?lua print(math.random() * 30 + 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh" shadow=false />
+        </attached>
+      </MovableEntity>
+    <?lua end ?>
+-->
 
   </Scene>
Index: code/branches/Presentation_HS17_merge/data/overlays/HUDTemplate_test.oxo
===================================================================
--- code/branches/Presentation_HS17_merge/data/overlays/HUDTemplate_test.oxo	(revision 11774)
+++ 	(revision )
@@ -1,226 +1,0 @@
-<!--
-<Template name="defaultHUD">
-  <OverlayGroup name = "defaultHUD" scale = "1, 1">
-    <ChatOverlay
-     name     = "chat"
-     position = "0.03, 0.5"
-     font     = "VeraMono"
-     caption  = ""
-     textsize = 0.025
-    />
-
-    <GametypeStatus
-     name     = "state"
-     position = "0.5, 0.85"
-     font     = "VeraMono"
-     textsize = 0.05
-     colour   = "1.0, 1.0, 0.0, 0.8"
-     align    = "center"
-    />
-  </OverlayGroup>
-</Template>
--->
-
-<Template name="spectatorhud">
-  <OverlayGroup name = "spectatorhud" scale = "1, 1">
-  </OverlayGroup>
-</Template>
-
-<Template name="rockethud">
-  <OverlayGroup name = "rockethud" scale = "1, 1">
-    <HUDRocketFuelBar
-     name          = "RocketFuelBar1"
-     background    = "Orxonox/BarBackground"
-     size          = "0.40, 0.04"
-     position      = "0.0 , 1.0 "
-     pickpoint     = "0, 1"
-     correctaspect = true
-     iconmaterial  = "Orxonox/BarIconFuel"
-    >
-      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
-      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
-    </HUDRocketFuelBar>
-  </OverlayGroup>
-</Template>
-
-<Template name="spaceshiphud">
-  <OverlayGroup name = "spaceshiphud" scale = "1, 1">
-    <Map />
-
-    <HUDHealthBar
-     name              = "HealthBar1"
-     background        = "Orxonox/HealthBarBackground"
-     size              = "0.40, 0.08"
-     position          = "0.0 , 0.85 "
-     pickpoint         = "0, 1"
-     bartexture        = "healthbar_bar.png"
-     textfont          = "VeraMono"
-     textusebarcolour  = true
-     textscale          = 0.4
-     textoffset        = "0.325, -0.825"
-     textpickpoint     = "0, 0"
-     textalign         = "right"
-     correctaspect     = true
-     iconmaterial      = "Orxonox/BarIconHealth"
-    >
-      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
-      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
-    </HUDHealthBar>
-
-    <HUDShieldBar
-     name          = "ShieldBar1"
-     background    = "Orxonox/BarBackground"
-     size          = "0.40, 0.04"
-     position      = "0.0 , 0.9 "
-     pickpoint     = "0, 1"
-     correctaspect = true
-     iconmaterial  = "Orxonox/BarIconShield"
-    >
-      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
-      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
-    </HUDShieldBar>    
-
-    <HUDSpeedBar
-     name          = "SpeedBar1"
-     background    = "Orxonox/BarBackground"
-     size          = "0.40, 0.04"
-     position      = "0.0 , 0.95 "
-     pickpoint     = "0, 1"
-     correctaspect = true
-     iconmaterial  = "Orxonox/BarIconSpeed"
-     >
-      <BarColour position = 0.0 colour = "0.7,0.5,0.2" />
-      <BarColour position = 0.5 colour = "0.2,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.7,0.2,0.2" />
-    </HUDSpeedBar>
-
-    <HUDBoostBar
-     name          = "BoostBar1"
-     background    = "Orxonox/BarBackground"
-     size          = "0.40, 0.04"
-     position      = "0.0 , 1.0 "
-     pickpoint     = "0, 1"
-     correctaspect = true
-     iconmaterial  = "Orxonox/BarIconBoost"
-    >
-      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
-      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
-    </HUDBoostBar>
-
-    <HUDEnemyHealthBar
-     name              = "EnemyHealthBar"
-     background        = "Orxonox/HealthBarBackground"
-     size              = "0.4, 0.08"
-     position          = "1 ,0"
-     pickpoint         = "1, 0"
-     bartexture        = "healthbar_bar.png"
-     textfont          = "VeraMono"
-     textusebarcolour  = true
-     textscale         = 0.4
-     textoffset        = "-0.675, 0.175"
-     textpickpoint     = "0, 0"
-     textalign         = "right"
-     correctaspect     = true
-     iconmaterial      = "Orxonox/BarIconHealth"
-    >
-      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
-      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
-    </HUDEnemyHealthBar>
-
-    <HUDEnemyShieldBar
-     name          = "EnemyShieldBar1"
-     background    = "Orxonox/BarBackground"
-     size          = "0.40, 0.04"
-     position      = "1.0 , 0.1 "
-     pickpoint     = "1, 0"
-     correctaspect = true
-     iconmaterial  = "Orxonox/BarIconShield"
-    >
-      <BarColour position = 0.0 colour = "0.7,0.2,0.2" />
-      <BarColour position = 0.5 colour = "0.7,0.7,0.2" />
-      <BarColour position = 1.0 colour = "0.2,0.7,0.2" />
-    </HUDEnemyShieldBar>   
-
-    <HUDNavigation
-     name          = "Navigation"
-     correctaspect = true
-     font          = "Monofur"
-     textsize      = 0.02
-     navMarkerSize = 0.03
-     aimMarkerSize = 0.02
-    />
-
-	<HUDRadar
-     name          			= "Radar"
-     background    			= "Orxonox/Radar3D"
-     material2D    			= "Orxonox/Radar"
-     material3DMiddle   	= "Orxonox/Radar3D"
-     material3DFront		= "Orxonox/Radar3DFront"
-     material3DBack			= "Orxonox/Radar3DBack"
-     correctaspect 			= true
-     size          			= "0.17, 0.17"
-     position      			= "1.0, 1.0"
-     pickpoint     			= "1.0, 1.0"
-     rotation      			= 0
-     sensitivity   			= 1.0
-     halfDotSizeDistance 	= 3000
-     detectionLimit 		= 10000.0
-     maximumDotSize 		= 0.1
-     maximumDotSize3D      	= 0.06
-     mapAngle3D   			= 0.6435011
-    />
-
-    <HUDWeaponSystem
-     name                   = "WeaponSystem"
-     correctaspect          = true
-     position               = "0.01, 0.01"
-     pickpoint              = "0, 0"
-     visible                = "true"
-     weaponModeHUDSize      = "0.09, 0.03"
-    />
-    
-    <HUDPickupSystem
-     name                   = "PickupSystem"
-     correctaspect          = true
-     position               = "0.32, 0.81"
-     pickpoint              = "0.0, 0.0"
-     visible                = "false"
-    />
-
-    <HUDWaypoints
-     name                   = "Waypoints"
-     correctaspect          = true
-     position               = "0.32, 0.81"
-     pickpoint              = "0.0, 0.0"
-     visible                = "true"
-    />
-
-
-    <HUDTimer
-     name     = "Timer"
-     position = "0.5, 0.25"
-     font     = "VeraMono"
-     textsize = 0.1
-     colour   = "1.0, 1.0, 0.0, 0.8"
-     align    = "center"
-    />
-
-    <GUIOverlay
-      name = "QuestGUI"
-      guiname = "QuestGUI"
-      visible = "false"
-    />
-    
-    <GUIOverlay
-      name = "PickupInventory"
-      guiname = "PickupInventory"
-      visible = "false"
-    />
-
-  </OverlayGroup>
-</Template>